Bug 825019 - Missing parent resource container for parent resource
Missing parent resource container for parent resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container, Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: JON 3.1.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On: 824401
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-24 16:12 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 824401
Environment:
Last Closed: 2013-09-03 11:18:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-24 16:12:59 EDT
+++ This bug was initially created as a clone of Bug #824401 +++

Description of problem: After some time (12hours) of running my testing setup I found one of my 2 agents (AUTO) in kind of broken state.

My setup:
JON 3.1.ER4 server
Agent AUTO
Agent MANUAL

On both agents there is EAP6 in domain and standalone mode (so 2 instances for each agent), I run automation on agent AUTO.

Version-Release number of selected component (if applicable):
Version: 3.1.0.ER4 
Build Number: 1783b86:2b8d25d 

How reproducible:very hard


Steps to Reproduce:

There are no steps that I am aware of. But once this issue comes to play, it is easy to reproduce it on running agent again.

1.remove any (I removed RHQ Server AS) platform child from inventory
2.import it again - it takes more time for the resource to appear in discovery queue  
Actual results: during or after import you get bunch of exceptions in agent log saying:

org.rhq.core.clientapi.agent.PluginContainerException: Failed to obtain classloader for resource: Resource[id=0, uuid=d89d5c8b-03bd-42c9-8ad6-a0fd1087eefc, type={JBossAS7}SocketBindingGroup, key=socket-binding-group=standard-sockets, name=standard-sockets, parent=EAP Domain Controller (0.0.0.0:8990)]

Caused by: org.rhq.core.clientapi.agent.PluginContainerException: [Warning] Missing parent resource container for parent resource=Res
ource[id=11071, uuid=277964d5-e328-432a-b5e1-95df0b439d05, type={JBossAS7}JBossAS7 Host Controller, key=/home/hudson/jbas-instances/j
boss-eap6-domain/domain, name=EAP Domain Controller (0.0.0.0:8990), parent=dhcp-31-185.brq.redhat.com, version=EAP 6.0.0.GA]



Additional info:
1. EAP Domain Controller was NOT the resource being inventoried
2. if you repeat steps to reproduce it's not always going to be 'key=socket-binding-group=standard-sockets, name=standard-sockets' that has issues
3. There is possible relation to AS7 plugin
Comment 1 Ian Springer 2012-05-24 16:14:44 EDT
Cherry-picked to release/jon3.1.x branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=53a0def
Comment 4 Heiko W. Rupp 2013-09-03 11:18:47 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.